# switch-check-button

## Install 
```js
npm install switch-check-button --save
```

## Usage
```vue
<template>
    <SwitchButton v-model="checked1" ></SwitchButton>
    <SwitchButton :value="checked2" @input="inpChangeHandler"></SwitchButton>
</template>

import SwitchButton from 'switch-check-button'

export default {
  // ...
  components: { SwitchButton },
  data() {
    return {
      checked1: false,
      checked2: false
    }
  },
  methods: {
    inpChangeHandler() {
      this.checked2 = !this.checked2
    }
  }
  // ...
}

```

The default Style
![alt text](./image.png)

## API 
| key      | value   | information |
| -------- | ------- | ----------- |
| value    | Boolean String Number | default value false, checked Status, true is checked, false is unchecked |
| name     | String  | default value null |
| label    | String | default value null, if not empty, it will show label |
| classes  | String  | default value null, Customer className  |
| disabled | Boolean | default value false, disabled status could not click |
| checkedText | Array | default value ['close', 'open'], index=0 is false text, index=1 is true text|
| showText | Boolean | default value false, when true, the text will be showed |
| checkedColors | Array | default ['red', 'green']|
